<?php

require 'conectar.php';
require_once "Spyc.php";

$chave = trim($_POST['chave']);
$texto = urlencode(trim($_POST['texto']));

$rs_nfe = $conn->query("select * from notas where chave = ?",array($chave));
$row = $conn->fetch_assoc($rs_nfe);

$rs_licenca = $conn->query("select * from licencas where id_licencas = ?",array($row["id_licencas"]));
$licenca = $conn->fetch_assoc($rs_licenca);

if ($row["st_nota"] == 'F'):
	
	$TOKEN = $licenca["token"];
	//$TOKEN = "BgPvRToAEgqp6CFqfr5suEbDx4pdKB7L"; //homologação
	
	$server = "http://producao.acrasnfe.acras.com.br/nfe2/emitir_cce?token=".$TOKEN."&ref=".$chave."&correcao=".trim($texto);

	// Inicia o processo de envio das informações usando o cURL.
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $server);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	
	$body = curl_exec($ch);
	$result = curl_getinfo($ch, CURLINFO_HTTP_CODE);
	
	$rs_nfe = $conn->query("SELECT * FROM notas WHERE chave  = ?",array($chave));
	$row1 = $conn->fetch_assoc($rs_nfe);
	
	$conn->update("notas",array("tx_correcao" => $row1['tx_correcao']."<br>>>>> CARTA DE CORRECAO em ".date('d/m/Y').' '.$result.' / '.$body)," chave = ?",array($chave));

	echo "STATUS: ".$result."<br>";
	echo "BODY: ".$body."<br><br>";

	curl_close($ch);
	
	$CURL_URL_ST = "http://producao.acrasnfe.acras.com.br/nfe2/consultar_cce?token=".$TOKEN."&ref=".$chave;
	
	$msg = "processando_correcao";
	while($msg=="processando_correcao"){
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $CURL_URL_ST);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

		$body = curl_exec($ch);
		$result = curl_getinfo($ch, CURLINFO_HTTP_CODE);
			
		echo "Body :".$body."<br>";
		echo "Result" .$result;

		$yml = Spyc::YAMLLoadString($body);
		$msg = $yml['status'];
		sleep(1);
	};

	if($msg=="autorizado"):
		
		$conn->query("SELECT * FROM notas WHERE chave = ?",array($chave));
		$row = $conn->fetch_assoc();
			
		$url='producao';
		$obs = $row['tx_correcao'] . "<br>>>> ".date("d/m/Y H:i:s")." - " . $yml["status"] . " - ".$url."
				<br><a href='http://".$url.".acrasnfe.acras.com.br".$yml['caminho_danfe']."' target='_blank'>Arquivo danfe</a>
				<br><a href='http://".$url.".acrasnfe.acras.com.br".$yml['caminho_xml_nota_fiscal']."' target='_blank'>Arquivo XML</a>";		
			
		$conn->update("notas",array("tx_correcao" => $obs),"chave = ?",array($chave));
		
	else:
	
		echo "FALHA AO TRANSMITIR <br><br>";
		echo "URL CC: ".$server."<br><br>";
		echo "URL ST: ".$CURL_URL_ST."<br><br>";
		
		var_dump($yml);
	
	endif;		

	//echo "<script>alert('Fim...')</script>";
	//echo "<script>window.location.href = '../Notas_Finalizadas.php'</script>";

else:

	echo "Esta nota não está Finalizada";
	
endif;

?>